See how many free IPv4 addresses are available for a specific virtual server (VPS). This helps you understand your server's network capacity and plan for future IP allocations.
path.vmid vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
type string required
· Example: ipv4 Accept Example Content-Type Example data object required data.freeCount integer required
· Example: 20 data.ipType string required
· Example: ipv4 data.subnetId string required
· Example: 100 data.subnetName string
· Example: 192.0.0.1/25 data.vlanTag string
· Example: 110 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/network/ip-availability curl -X GET "https://cloud.hostup.se/api/vm/10000/network/ip-availability?type=ipv4" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"ipType": "ipv4",
"freeCount": 20,
"subnetId": "100",
"subnetName": "192.0.0.1/25",
"vlanTag": "110"
}
}